Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Class MutableProductItemImpl

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
            |
            +--com.beasys.commerce.ebusiness.catalog.MutableProductItemImpl

public class MutableProductItemImpl
extends MutableCatalogItemImpl
implements MutableProductItem

This is the implentation class for all mutable product items contained by the Catalog. This class exposes data accessors and mutators for product item data conforming to the Dublin Core Metadata. Refer to the DCM spec for details.

See Also:
  Serialized Form

Method Summary
`InventoryInfo` | `getAvailability()` Gets the availibility for a product item
`Money` | `getCurrentPrice()` Gets the current price for a product item
`java.lang.String` | `getFormat()` Gets the format for a product item
`JspInfo` | `getJsp(int index)` Gets the JSP for a product item
`Money` | `getMsrp()` Gets the MSRP for a product item
`java.lang.String` | `getShippingCode()` Gets the shipping code for a product item
`java.lang.String` | `getTaxCode()` Gets the tax code for a product item
`java.lang.String` | `getType()` Gets the type for a product item
`char` | `getVisible()` Gets the visilbity code for a product item
`void` | `setAvailability(InventoryInfo inventoryInfo)` Sets the availibility for a product item
`void` | `setCurrentPrice(Money price)` Sets the current price for a product item
`void` | `setFormat(java.lang.String format)` Sets the format for a product item
`void` | `setJsp(int index, JspInfo jspInfo)` Sets the JSP for a product item
`void` | `setMsrp(Money price)` Sets the MSRP for a product item
`void` | `setShippingCode(java.lang.String shippingCode)` Sets the shipping code for a product item
`void` | `setTaxCode(java.lang.String taxCode)` Sets the tax code for a product item
`void` | `setType(java.lang.String type)` Sets the type for a product item
`void` | `setVisible(char visible)` Sets the visilbity code for a product item
`java.lang.String` | `toString()` Builds a string representation of this object.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.MutableCatalogItemImpl
`addBusinessPolicy, addPropertyValue, addPropertyValueMapped, clearPropertyModifications, getBusinessPolicy, getContributor, getCoverage, getCreationDate, getCreator, getDescription, getImage, getJndiName, getKey, getLanguage, getModificationMap, getModifiedDate, getName, getPkString, getProperties, getProperties, getProperty, getProperty, getProperty, getPropertyAsString, getPropertyAsString, getPropertyDefault, getPropertyNoDefault, getPropertyNoDefault, getPublisher, getRelation, getRights, getSource, getSuccessor, getUniqueId, initPropertyModifications, isPropertyExplicit, isPropertyModified, modifyProperty, removeBusinessPolicy, removeProperties, removeProperty, removeProperty, removePropertyValue, removePropertyValueMapped, removeSuccessor, setContributor, setCoverage, setCreationDate, setCreator, setDescription, setImage, setLanguage, setModifiedDate, setName, setProperty, setProperty, setPublisher, setRelation, setRights, setSource, setSuccessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getJsp

    public JspInfo getJsp(int index)

  Gets the JSP for a product item

  Parameters:
    `index` - the JSP to retrieve, should be either SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX
  Returns:
    the JspInfo object for the JSP

### setJsp

    public void setJsp(int index,
                       JspInfo jspInfo)

  Sets the JSP for a product item
  Specified by:
    setJsp in interface MutableProductItem

  Parameters:
    `index` - the JSP to set, should be either SUMMARY_DISPLAY_JSP_INDEX or DETAILED_DISPLAY_JSP_INDEX
    `jspInfo` - the new JspInfo object for the JSP

### getFormat

    public java.lang.String getFormat()

  Gets the format for a product item

  Returns:
    the format for the product item

### setFormat

    public void setFormat(java.lang.String format)

  Sets the format for a product item
  Specified by:
    setFormat in interface MutableProductItem

  Parameters:
    `format` - the new format for the product item

### getType

    public java.lang.String getType()

  Gets the type for a product item

  Returns:
    the type for the product item

### setType

    public void setType(java.lang.String type)

  Sets the type for a product item
  Specified by:
    setType in interface MutableProductItem

  Parameters:
    `type` - the new type for the product item

### getTaxCode

    public java.lang.String getTaxCode()

  Gets the tax code for a product item

  Returns:
    the tax code for the product item

### setTaxCode

    public void setTaxCode(java.lang.String taxCode)

  Sets the tax code for a product item
  Specified by:
    setTaxCode in interface MutableProductItem

  Parameters:
    `taxCode` - the new tax code for the product item

### getShippingCode

    public java.lang.String getShippingCode()

  Gets the shipping code for a product item

  Returns:
    the shipping code for the product item

### setShippingCode

    public void setShippingCode(java.lang.String shippingCode)

  Sets the shipping code for a product item
  Specified by:
    setShippingCode in interface MutableProductItem

  Parameters:
    `shippingCode` - the new shipping code for the product item

### getMsrp

    public Money getMsrp()

  Gets the MSRP for a product item

  Returns:
    the Msrp for the product item

### setMsrp

    public void setMsrp(Money price)

  Sets the MSRP for a product item
  Specified by:
    setMsrp in interface MutableProductItem

  Parameters:
    `price` - the new Msrp for the product item

### getCurrentPrice

    public Money getCurrentPrice()

  Gets the current price for a product item

  Returns:
    the current price for the product item

### setCurrentPrice

    public void setCurrentPrice(Money price)

  Sets the current price for a product item
  Specified by:
    setCurrentPrice in interface MutableProductItem

  Parameters:
    `price` - the current price for the product item

### getAvailability

    public InventoryInfo getAvailability()

  Gets the availibility for a product item

  Returns:
    the current availability for the product item

### setAvailability

    public void setAvailability(InventoryInfo inventoryInfo)

  Sets the availibility for a product item
  Specified by:
    setAvailability in interface MutableProductItem

  Parameters:
    `inventoryInfo` - the new availability for the product item

### getVisible

    public char getVisible()

  Gets the visilbity code for a product item

  Returns:
    the visiblity code for the product item

### setVisible

    public void setVisible(char visible)

  Sets the visilbity code for a product item
  Specified by:
    setVisible in interface MutableProductItem

  Parameters:
    `visible` - the new visiblity code for the product item

### toString

    public java.lang.String toString()

  Builds a string representation of this object.

  Returns:
    the string
  Overrides:
    toString in class MutableCatalogItemImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved